/* General Styles */
body {
    margin: 0;
    font: 14px sans-serif;
    text-align: center;
}

.wrapper {
    width: 100%;
    padding: 20px;
    box-sizing: border-box;
}

a {
    color: #505050;
    font-weight: bold;
    font-size: 1rem;
}

.message {
    color: #0000FF; /* Prioritized the last definition */
    margin-bottom: 10px;
}

#liveClock {
    font-size: 1.5rem; /* Equivalent to 24px */
    font-weight: bold;
    margin-bottom: 15px;
}

.pay-period-info {
    margin-bottom: 15px;
    font-weight: bold;
}

.total-hours {
    margin-top: 15px;
    font-weight: bold;
}

.user-links {
    margin-bottom: 15px;
}

.period-navigation {
    margin-bottom: 15px;
}

.period-navigation a {
    margin: 0 10px;
}

/* Table Styles */
table {
    border-collapse: collapse;
    width: 100%;
    box-sizing: border-box;
    table-layout: fixed;
}

th, td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: center;
}

th {
    background-color: #f2f2f2;
}

td {
    width: 14.28%; /* Adjusted to fit 7 columns */
}

/* Input and Button Styles */
input[type="submit"], input[type="button"] {
    color: white;
    background-color: black;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
    transition: all 0.2s ease;
    margin-top: 10px;
}

input[type="submit"]:hover, input[type="button"]:hover {
    opacity: 0.5;
}

/* Specific Button Styles */
#in,
#lout {
    background-color: black;
}

#lin,
#out {
    background-color: #707070;
    color: white;
}

/* Modal Styles */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
}

.modal-content {
    background-color: #fefefe;
    margin: 5% auto; /* Adjusted for better visibility */
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 500px;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
}

/* Form Input Styles */
label {
    display: inline-block;
   }

input[type="datetime-local"],
select {
    width: 60%;
    padding: 5px;
    margin-bottom: 10px;
}
